<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <View
        android:id="@+id/v_status_bar"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@color/transparent" />
    <!-- ===========标题============= -->
    <RelativeLayout
        android:id="@+id/rl_title_bar"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/main_theme"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="5dp"
        android:paddingRight="5dp">

        <ImageView
            android:id="@+id/tv_app_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="5dp"
            android:clickable="true"
            android:focusable="true"
            android:maxLength="8"
            android:paddingLeft="5dp"
            android:paddingTop="5dp"
            android:paddingBottom="5dp"
            android:scaleType="fitXY"
            android:textColor="@color/white"
            android:textSize="13sp"
            android:visibility="visible"
            tools:background="@drawable/ic_back_white"
            tools:text=""
            tools:visibility="visible" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true">

            <TextView
                android:id="@+id/tv_app_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:clickable="true"
                android:ellipsize="end"
                android:maxEms="12"
                android:maxLines="1"
                android:textColor="@color/white"
                android:textSize="18sp"
                tools:text="页面标题" />

            <LinearLayout
                android:id="@+id/ll_app_search_content"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                tools:visibility="visible">

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:background="@color/transparent">

                    <TextView
                        android:id="@+id/tv_app_options"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:clickable="true"
                        android:drawableRight="@drawable/ic_arrow_cir_down_white_16"
                        android:drawablePadding="5dp"
                        android:focusable="true"
                        android:maxLength="8"
                        android:paddingLeft="5dp"
                        android:paddingTop="5dp"
                        android:paddingBottom="5dp"
                        android:text="筛选"
                        android:textColor="@color/white"
                        android:textSize="14sp"
                        android:visibility="visible" />

                    <com.tenlionsoft.baselib.core.widget.views.AfxTextView
                        android:id="@+id/tv_search_back"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:clickable="true"
                        android:focusable="true"
                        android:visibility="visible"
                        tools:text="" />

                </RelativeLayout>

                <LinearLayout
                    android:id="@+id/ll_base_search"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/shp_rectangle_white_5">

                    <EditText
                        android:id="@+id/et_base_search_content"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@null"
                        android:drawableLeft="@drawable/ic_search_icon_gray"
                        android:drawablePadding="5dp"
                        android:hint="请输入查询的内容"
                        android:padding="8dp"
                        android:textSize="12sp" />

                    <ImageView
                        android:id="@+id/iv_app_clear_search"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_gravity="center_vertical"
                        android:layout_marginRight="5dp"
                        android:src="@drawable/ic_clear_cir_gray" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_do_search"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:clickable="true"
                    android:focusable="true"
                    android:text="搜索"
                    android:textColor="@color/col_white_gray_press" />

                <TextView
                    android:id="@+id/tv_cancel_search"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:text="取消"
                    android:textColor="@color/col_white_gray_press" />
            </LinearLayout>


        </RelativeLayout>


        <LinearLayout
            android:id="@+id/ll_options"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/iv_app_search_icon"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:scaleType="fitXY"
                android:src="@drawable/ic_search_white" />

            <TextView
                android:id="@+id/tv_app_publish"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:clickable="true"
                android:focusable="true"
                android:textColor="@color/col_white_gray_press"
                android:textSize="15sp"
                tools:text="操作" />
        </LinearLayout>
    </RelativeLayout>

    <!-- ===========内容============= -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:visibility="visible">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/rl_notify"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone">

                <ImageView
                    android:id="@+id/iv_nootify_point"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:scaleType="fitXY"
                    android:src="@drawable/ic_nofify_point_red" />

                <TextView
                    android:id="@+id/tv_notify"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:ellipsize="marquee"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:padding="8dp"
                    android:singleLine="true"
                    android:text="无未读消息"
                    android:textSize="@dimen/text_18" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:background="@color/app_title">

                <FrameLayout
                    android:id="@+id/fl_app_content"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">


                </FrameLayout>

                <RelativeLayout
                    android:id="@+id/rl_tr_app_title"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="30dp"
                    android:background="@color/transparent">

                    <Button
                        android:id="@+id/ib_tr_app_back"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="15dp"
                        android:background="@drawable/ic_back_white"
                        android:scaleType="centerInside" />

                    <com.tenlionsoft.baselib.core.widget.views.TypeFaceTextView
                        android:id="@+id/tv_app_tr_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:clickable="true"
                        android:ellipsize="end"
                        android:maxEms="15"
                        android:maxLines="1"
                        android:textColor="@color/white"
                        android:textSize="18sp"
                        tools:text="内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙内蒙" />
                </RelativeLayout>
            </RelativeLayout>
        </LinearLayout>

        <!-- ===========提示============= -->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical">

            <ProgressBar
                android:id="@+id/pb_app_loading"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:indeterminateBehavior="repeat"
                android:indeterminateDrawable="@drawable/anim_loading" />

            <ImageView
                android:id="@+id/iv_app_empty_data"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:layout_centerInParent="true" />

            <com.tenlionsoft.baselib.core.widget.views.TypeFaceTextView
                android:id="@+id/tv_app_error_hint"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:clickable="true"
                android:textColor="@color/black"
                tools:text="加载数据失败" />
        </LinearLayout>
    </RelativeLayout>

</LinearLayout>